Copyright Information

StarScribe Package Editor
StarQuest Ventures, Inc.

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred.

Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of StarQuest Ventures, Inc.

StarQuest products contain certain trade secrets and confidential and proprietary information of StarQuest Ventures, Inc. StarQuest may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from StarQuest, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property. Additionally, any public network IDs or addresses referenced in this document are for demonstration/example purposes only. The inclusion of such IDs and addresses in this document does not grant you any express or implied right to test or otherwise use or access any such network ID or address.

StarQuest and StarSQL are trademarks of StarQuest Ventures, Inc.

Microsoft, Windows, Windows XP, and Windows Vista are registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

StarQuest Ventures logo

©Copyright 1997-2007. StarQuest Ventures, Inc.. All rights reserved.
August 2007 edition


Introducing StarScribe Package Editor

The StarScribe Package Editor lets you modify recorded (captured) SQL statements and bind them into a static SQL package residing on a specified host computer. You also can use StarScribe to create and bind static SQL packages from unrecorded SQL statements that you enter, or to rebind static SQL packages on the host after you have appended new statements to a previously recorded package file.

The benefits of using static SQL packages include:

  • Improved Performance
    StarSQL users can realize improved performance by using static SQL packages instead of passing dynamic SQL from their local machines to the host.

  • Execution of Standard Queries
    Static SQL packages allow StarSQL users to execute preset SQL queries created by others, so that those users need not have an in-depth knowledge of SQL.

StarQuest Ventures logo

©Copyright 1994-2007. StarQuest Ventures, Inc.. All rights reserved.


Installing the StarScribe Package Editor

To install the StarScribe Package Editor, select the Custom option for installing StarSQL and select the StarScribe component. Refer to the StarSQL for Windows User's Guide for more information about installing StarSQL.


Using the StarScribe Package Editor

To use StarScribe Package Editor you typically record SQL statements into a StarSQL package file as the statements are executed. You can enable recording of static SQL statements in the StarSQL for Windows ODBC Data Source dialog. The StarSQL online help provides details about configuring a StarSQL data source to record SQL statements.

After you record SQL statements, you can use the StarScribe Package Editor to:

  • Modify the StarSQL Package File (optional) to delete or modify recorded SQL statements or add additional SQL statements. You can add statements by entering them or by importing them from a properly formatted text file.

  • Save and Bind the StarSQL Package File into a static SQL package file that is stored on both the local machine and on the host database.

Save and Bind is usually optional, because the StarSQL driver automatically binds your matching SQL statements into either a new or existing static SQL package when you enable matching and attempt to use any statement in the package file.

The exception to this is when you have appended new SQL statements to an existing package file by executing new statements with the Enable Recording option pointing to the file. If you have used this method to modify a StarSQL package file, you must use the StarScribe Package Editor to bind the modified package before the new statements can be executed as static SQL.

Note

You must have BINDADD authority to bind static SQL packages.

After you have created the StarSQL package file, you need to distribute it, enable the StarSQL driver to use it, and then run the queries from your ODBC-enabled application. Refer to the StarSQL documentation, for more information about working with the StarSQL driver and package files.


Importing Text Files

This version of the StarScribe Package Editor allows you to import SQL statements from a text file into a new or pre-existing package file, as follows:

  1. Prepare a text file that contains the SQL statements you want to import. Use a semi-colon character (;) to separate each statement from the next, and you must also place a semi-colon after the last SQL statement in the file.

  2. Run StarScribe and open a package file to receive the statements you will be importing. You can select New from the File menu to create a new package file for this purpose, or you can select Open from the File menu to open a package file that already exists. If you decide to import into a package file that already contains statements, StarScribe will append the imported statements after the statements that are already present.

  3. Select Import Text File from the Tools menu, and specify the name and location of the text file you prepared in Step 1.


Working with Packages

When you use the StarSQL driver to record SQL statements, it saves the statements in a StarSQL package file with the extension .sbp. To modify a StarSQL package file, run the StarScribe Package Editor application, select Open from the File menu, and choose the .sbp file you want to edit.

Note

Modifications to a package file cannot be used as static SQL on the host until you successfully execute the Save and Bind command from the StarScribe File menu to rebind the modified package.


Adding SQL Statements to a Package

Follow the steps below to add a statement to an existing package.

  1. Select the package to which you want to add a statement, right-click and select the Insert Statement command.

  2. In the Statement Properties dialog. enter the SQL statement you want to add.

  3. Click OK to add the statement to the package.


Changing Parameter Properties

To change properties of a parameter, select the Parameters folder in the left pane of the main StarScribe window, select the parameter of interest from the right pane of the main window, and use one of the following methods to display the Parameter Properties dialog:

  • Click the Properties button Properties toolbar button in the tool bar.

  • Select Properties from the Edit menu.

  • Double-click the parameter name in the right pane of the main window.

Refer to Parameter Properties Dialog for more information about the statement settings.


Changing Package Properties

To change properties of the package file, select the package name in the left pane of the main window and use one of the following methods to display the Package Properties dialog:

  • Click the Properties button Properties toolbar button in the tool bar.

  • Select Properties from the Edit menu.

  • Double-click the package Name in the right pane of the main window.

Refer to Package Properties Dialog for more information about the package settings.


Changing Results Column Properties

To change results column properties, select the Result Columns folder in the left pane of the main StarScribe window, select the column of interest in the right pane, and use one of the following methods to display the Result Column Properties dialog:

  • Click the Properties button Properties toolbar button in the tool bar.

  • Select Properties from the Edit menu.

  • Double-click the results column name in the right pane of the main window.

For more information about available result columns settings, refer to Result Column Properties Dialog.


Changing Statement Parameters

To add or subtract parameters from a statement, display the Statement Properties dialog, edit the SQL Statement field, and click OK. Changes in the number of parameters in a statement are not displayed in the main window until you validate (or re-validate) the changed statement.

For example, if the original SQL Statement is

Select * from Mytable

you could add a parameter to select only rows with a particular value in a specified column, as follows:

Select * from Mytable where MyColumn=?

After you edit the statement and return to the main StarScribe window, select the Validate Statement command from the Tools menu. If you prefer to validate all the statements in your package at one time, execute the Validate All Statements command.

For each statement, results are displayed in the Statement Properties dialog.


Changing Statement Properties

To change properties of a statement, select the statement and use one of the following methods to display the Statement Properties dialog:

  • Click the Properties button Properties toolbar button in the tool bar.

  • Select Properties from the Edit menu.

  • Double-click the statement name in the right pane of the main window.

Refer to Statement Properties Dialog for more information about the statement settings.


Deleting SQL Statements from a Package

To remove a statement from an existing package, select the statement in the left pane of the main window and press the Delete key on your keyboard or choose Delete from the Edit menu.


Printing a Package Report

You can preview on screen or print a package report that shows the following information:

  • the package name

  • the location of the package file

  • the collection on the host it uses, if applicable

  • the DSN to the host

  • the server name

  • the total number of statements

  • a list of each statement

To preview a package report on the screen, select Print Preview from the File menu. The report appears with buttons for navigating from one page to another if the report exceeds one page, for zooming in and out to enlarge and reduce the report, and printing the report. Click Close to return to the StarScribe main window.

To print the report, click the Print toolbar button button on the toolbar or select Print from the File menu. Clicking the Print toolbar button sends the report to the default printer. Selecting the Print command displays the standard Windows Print dialog. Select Print Setup from the File menu to change the printer selection or print properties.


Renaming Objects

Within the StarScribe Package Editor you can rename package files (as they are identified on the local and on the host computers), statements, parameters, and result columns. Select the object you want to rename, right-click, and select the Rename command (or select Rename from the Edit menu).

Renaming Package Files

To rename the package file that is stored on the local computer, select Save As from the File menu, specify the file name you want to use, and click Save. The file name in the StarScribe window title bar changes to reflect the name you have chosen.

To use a different name for the static SQL package that will be bound on the host computer, select the package name in the left pane of the main window, place the cursor on the package name (in either pane), click again, and edit the name. The first character of the package name must be alphabetical; other characters can be alphabetical or numerical. The name must have no more than eight characters. You can also modify the host computer package name in the Package Properties dialog.

Renaming Statements

Statements that you insert into a package are automatically named STATEMENTnnnnn, where nnnnn is a sequential number that makes the name unique. To give the statement another name, select the statement you want to rename, click again to change the cursor to an I beam, and type a new name.

Renaming a Parameter or Result Column

In the left pane of the main StarScribe window, select either the Parameters folder or the Result Columns folder, depending on what you want to rename. In the right pane, select the Name of the parameter or result column you want to change, click again on the name to change the cursor to an I beam, and type a new name. The new name will be reflected in ODBC-enabled applications.


Saving and Binding Your Static SQL Packages

When you have finished modifying your file and setting the Package Settings, you are ready to bind your .sbp file into a static SQL package. You also can save your file and not bind immediately if you would like continue editing it at a later time.

To bind your .sbp file into a static SQL package:

  1. From the File menu, select Save and Bind.

StarScribe Package Editor automatically saves your package file before beginning the compilation process. If you have not previously saved your file, you are prompted to name it.

If you have not previously specified certain package properties, such as a database Server and a Data Source, you may be prompted to supply them either in the Starscribe Package Properties dialog box, or in an ODBC Administrator data source selection dialog. Choose Save and Bind again after you specify package properties.

  2. Enter your logon information and Click OK.

A progress screen appears while the StarSQL driver binds the file. This can be a lengthy process; the time required to complete it averages from 30 seconds to several minutes.

The StarSQL driver saves a static SQL package (the StarSQL package file) to the local computer, and stores a matching file on the host database.


Testing and Validating SQL Statements

Validating and Testing SQL Statements

StarScribe provides commands for validating one or more SQL statements in a package and for running the statement against the host to test it.

Important Usage Information

Running a SQL statement that changes data automatically commits those changes if the host uses libraries instead of collections. If the host uses collections you can roll back the changes after the SQL statement runs.

To validate a SQL statement, select the statement in the left pane of the main StarScribe window, right-click and select the Validate Statement command.

To validate all the SQL statements in the package, select Validate All Statements from the Tools menu.

To run a SQL statement, select the statement in the left pane of the main StarScribe window, right-click and select the Test Run Statement command to display the Test Run SQL Dialog.


Contacting StarQuest

Please use the following methods to contact StarQuest Ventures if you need to obtain a license key, or have suggestions or need information about StarQuest products.

Support

If you do not want to use the online licensing feature of the License Configuration utility, you can obtain a license key for your product by sending an email to contact@starquest.com with the following information:

  • TCP/IP address or Host ID of the computer on which the license will be installed

  • Number of connections purchased

  • Company Name

  • Contact Name

  • Phone Number

  • Email Address

StarQuest Support will send a reply email that provides the license key for your organization's use of the product. Since the license is unique to the computer on which it will be installed, you must contact StarQuest should you need to move the license from one computer to another.

Additional technical support may be available subject to the prices, terms, and conditions specified in your organization's maintenance contract with StarQuest Ventures, Inc.

Sales and Service

If you have ideas for product enhancements or need more information about how StarQuest products can provide solutions for connecting Windows and UNIX applications to IBM host resources, please contact us via any of the following methods.

Address | StarQuest Ventures, Inc. P.O. Box 1076 Point Reyes Station, CA 94956
Telephone | 415-669-9619
Fax | 415-669-9629
Email | contact@starquest.com
World Wide Web | www.starquest.com


StarScribe Main Window

The main window for the StarScribe Package Editor program is divided into two panes.

The left pane of the main window displays the name of the static SQL package that is open for editing. Click the plus sign (+) to the left of the package name to display the names of the statements contained within the package. Click the plus sign to the left of any statement name to display Parameters and Result Columns folders. Click any box containing a minus sign (-) to hide subsidiary levels for the selected item.

The right pane of the main window displays further information about the item that is highlighted in the left pane. You can change the width of any right pane column by dragging the left or right edge of the column header. For more information about the contents of the right pane, click the item of interest in the list below:

  • Package details

  • Statement details

  • Parameters Folder details

  • Results Column Folder details

The main window also displays a toolbar above the left pane, and a status bar at the bottom of the window. The status bar shows the ODBC Data Source for the selected package. The toolbar contains the following buttons:

Button

Description

New toolbar button New

Allows you to build a new static SQL package file by entering SQL statements and defining properties.

Open toolbar button Open

Allows you to open an existing static SQL package file that was created by StarSQL or the StarScribe Package Editor.

Save toolbar button Save

Saves the edited static SQL package to a file with the extension .sbp, using the package name displayed in the StarsSribe window title bar. For example, if the window title bar contains SWX3302 - StarScribe Package Editor, clicking the Save button saves the package to a file called SWX3302.sbp.

Note that the package name displayed in the left pane may not match the package file name displayed in the window title bar. The name in the left pane is the package name that StarScribe will use when you bind the package on the host computer. To use a different package file name on the Widows computer, select Save As from the File menu and specify the file name you want to use.

Print toolbar button Print

Creates a report that describes the current static SQL package, and sends the report to a printer you specify. To view a report on screen without printing it, select Print Preview from the File menu. Refer to Printing a Package Report for more information.

Package Properties toolbar button Properties

Displays a dialog box that allows you to specify various settings for the selected package, statement, parameter, or result column.

Additional StarScribe commands are available in the menus at the top of the main window. Select an object and right-click to display a context menu of commands appropriate for the selected item.


Right Pane Contents for a Selected Package

Package Details Pane

When you select a package in the left pane of the StarScribe main window, the right pane displays the following information:

Column | Description
Package Name | Displays an automatically-generated or user-supplied name for the package. Package Names must be unique in the local PC directory and in the host collection. Double-click this field to display the Package Properties dialog box.
Collection | The location where the package will be stored.
Data Source | The ODBC data source used to access the specified host collection.
Server | The host database server that will use the static SQL statements in the package, or that was being accessed when package statements were being recorded.
# Statements | The number of SQL statements contained in the package.


Right Pane Contents for a Selected Statement

Statement Details Pane

When you select a statement in the left pane of the StarScribe main window, the right pane displays the following information:

Column

Description

Name

The name of the selected statement. You can highlight and edit this name in either the left or right pane of the main window, or double-click the field to display the Statement Properties dialog box.

Note that validated statements (statements that have been prepared for use on a host) display a lightning bolt symbol to the left of the statement name. Unvalidated statements display a red circle and slash superimposed over the lightning bolt.

Description

Displays a default description or user-supplied information about the selected statement. You can change the information by editing the Description field in the Statement Properties dialog box.

# Parameters

The number of parameters to be supplied for the selected statement. This value is automatically obtained when you validate the statement.

# Result Columns

The number of result columns the selected statement returns. This value is automatically obtained when you validate the statement.

SQL Statement

The SQL text of the selected statement, such as:
select * from MYTABLE where YEAR=?


Right Pane Contents for a Selected Parameters Folder

Parameters Folder Details

When you select a Parameters folder in the left pane of the StarScribe main window, the right pane displays the following information:

Column | Description
Name | The name of the selected parameter. You can highlight and edit this name in the right pane of the main window, or double-click the field to display the Parameter Properties dialog box.
Description | A default phrase or user-supplied information about the selected parameter. You can change the information by editing the Description field in the Parameter Properties dialog box.
Data Type | The data type for the parameter value, such as DECIMAL or CHAR.
Precision | The maximum number of digits for a numeric parameter, or the maximum length or defined length of a non numeric parameter. For data types that use a decimal point, precision includes digits both to the left and to the right of the decimal point. Displays a zero for data types that do not use the Precision setting.
Scale | The maximum number of digits to the right of the decimal point for the parameter value. Displays a zero for data types that do not use the Scale setting.
Length | The maximum number of characters for a string parameter, or the number of bytes needed to store a numeric parameter. Displays a zero for data types that do not use the Length setting.


Right Pane Contents for a Selected Results Column Folder

Results Column Details

When you select a Result Columns folder in the left pane of the StarScribe main window, the right pane displays the following information.

Column | Description
Name | The name of the selected host result column. You can double-click the field to display the Result Column Properties dialog box.
Description | A default phrase or user-supplied information about the selected result column. You can change the information by editing the Description field in the Result Column Properties dialog box.
Data Type | The data type for the result column, such as DECIMAL or CHAR.
Precision | The maximum number of digits for a numeric result column value, or the maximum length or defined length of a non numeric result column value. For data types that use a decimal point, Precision includes digits both to the left and to the right of the decimal point. Displays a zero for data types that do not use the Precision setting.
Scale | The maximum number of digits to the right of the decimal point for the result column value. Displays a zero for data types that do not use the Scale setting.
Length | The maximum number of characters for a string result column value, or the number of bytes needed to store a numeric result column value. Displays a zero for data types that do not use the Length setting.


Enter Parameter Values Dialog Box

The Enter Parameter Values dialog appears if you need to supply a value for a parameter in a SQL statement that you are testing with the Test Run Statement command. The dialog shows parameter properties and appears once for each parameter in the test statement. Enter the parameter value in the Value field.


Package Properties Dialog Box

Package Properties Dialog

The Package Properties dialog allows you to view or specify the following settings for the selected SQL package.

Property

Description

Package Name

This field displays the name that will be assigned to the static package that is bound on the host database. You can choose a package name or accept the default value assigned by the StarScribe Package Editor. The default package name begins with the character sequence SWX, followed by one or more other characters. Package names are limited to a maximum of 8 characters. The first character must be a letter; the remaining characters can be either letters or numbers.

Package Collection

This field refers to the host COLLECTION or COLLID(MVS) that is associated with the static package. If nothing is specified in this field, the package will be bound in the SQL Package Collection that is specified for the data source.

Procedure Owner

This field contains the owner name that will be returned to the application when the SQLProcedures catalog function is called. This value is used when executing individual sections of a static package in a CALL statement (e.g. {CALL STARPROCS.STATEMENT1(4711)}). The default value is STARPROCS.

Isolation Level

Determines access to the data by concurrent application processes. If a different Isolation Level is specified in the StarSQL Advanced Options dialog or by an application, the Isolation Level value for the package is the one that is used.

Version Name

Versioning allows you to refer to identically named packages in one collection. The Package Version Name distinguishes packages with the same name from each other. This option is only supported for DB2/MVS.

Default Qualifier

Unqualified table references in SQL statements will be qualified with the value entered here. With this option you can refer to tables owned by different AUTHIDs without having to change the recorded SQL in the package. If you leave this field blank in the Package Properties dialog, StarSQL checks your DSN definiton and uses any Default Qualifier value found there. If neither the package nor the DSN specify a default qualifier, StarSQL uses the current AUTHID.

Package Owner ID

This field allows you to specify an owner for the package other than the AUTHID that is used to bind the package.

Default CCSID

This field lets you specify the Character Code Set Identifier that is associated with the package. See the StarSQL Help file for additional information about CCSIDs.

Maximum # of Statements

Enter the number of statements that you would like the StarSQL driver to be able to record the next time you enable recording to the current package file and execute SQL statements in your ODBC-enabled application. When the setting value is reached recording will end.

If you intend to frequently increase the number of statements you execute, set this number to a high value before recording your statements to ensure that all of them will be included in the next StarSQL package file. The maximum value is 32767. The default value is 1000.

If you use the StarScribe Package Editor to add statements to your package file and if you reach the current value for Maximum # of Statements, you will be prompted to increase the value of the setting. If you do not increase the Maximum # of Statements, additional statements will not be added.

Data Source

The drop-down menu displays a list of ODBC system data sources and ODBC user data sources for the current user. Select the Data Source you would like to use for this package. If the package was created by recording from StarSQL, the default value of this setting is the Data Source that was used while recording.

Server Name

This field contains the database server name. When you use the StarSQL driver to record a package file, only statements to a single database server can be recorded.


Parameter Properties Dialog Box

Parameter Properties Dialog

This dialog displays the following properties for the selected SQL statement parameter. Under ordinary circumstances, StarSQL uses the SQLDescribeParam function to gather parameter setting information from the host computer whenever you validate the selected statement. In this case, the parameter Description field is the only field in this dialog box that you can edit.

However, StarSQL cannot always gather parameter information. If you validate a statement and do not receive parameter information, you must use the Parameter Properties dialog to enter parameter setting values that match the corresponding data on the host computer.

Property | Description
Data Type | The data type for the parameter value, such as DECIMAL or CHAR.
Nullable | When selected, this check box indicates that the parameter value can be a null. When deselected, the parameter value cannot be a null.
Precision | The maximum number of digits for a numeric parameter, or the maximum length or defined length of a non numeric parameter. For data types that use a decimal point, precision includes digits both to the left and to the right of the decimal point. Not displayed for data types that do not use the Precision setting.
Scale | The maximum number of digits to the right of the decimal point for the parameter value. Not displayed for data types that do not use the Scale setting.
Length | The maximum number of characters for a string parameter, or the number of bytes needed to store a numeric parameter. Not displayed for data types that do not use the Length setting.
Description | A default phrase or user-supplied information about the selected parameter.


Result Column Properties Dialog Box

Result Column Properties Dialog

This dialog displays the following properties for the selected result column. Under ordinary circumstances, whenever you validate the selected statement, StarSQL uses the SQLDescribeCol function to gather result column setting information from the host computer. In this case, the result column Description field is the only field in this dialog that you can edit.

However, StarSQL cannot always gather result column information. If you validate a statement and do not receive result column information, you must use the Result Column Properties dialog to enter result column setting values that match the corresponding data on the host computer.

Property | Description
Data Type | The data type for the result column, such as DECIMAL or CHAR.
Nullable | When selected, this check box indicates that the result column value can be a null. When deselected, the result column value cannot be a null.
Precision | The maximum number of digits for a numeric result columns value, or the maximum length or defined length of a non numeric result column value. For data types that use a decimal point, precision includes digits both to the left and to the right of the decimal point. Not displayed for data types that do not use the Precision setting.
Scale | The maximum number of digits to the right of the decimal point for the result column value. Not displayed for data types that do not use the Scale setting.
Length | The maximum number of characters for a string result column value, or the number of bytes needed to store a numeric result column value. Not displayed for data types that do not use the Length setting.
Description | A default phrase or user-supplied information about the selected result column.


Statement Properties Dialog Box

Statement Properties Dialog

The Statement Properties dialog allows you to enter a SQL statement and description and provides information about the validity of the statement.

Property

Description

SQL Statement

The SQL text of the statement, such as
select * from MYTABLE where YEAR=?
You can use this field to modify the SQL text.

Description

A default phrase or information you supply about the selected statement.

Validation Message

Diagnostic messages that report the success or failure of the most recent attempt to validate the selected statement.


Test Run SQL Dialog Box

Test Run SQL Dialog

The Test Run SQL dialog allows you to test the host's ability to execute the selected SQL statement, and displays the results of the test.

Important Usage Information

Running a SQL statement that changes data automatically commits those changes if the host uses libraries instead of collections. If the host uses collections you can roll back the changes after the SQL statement runs.

Click the Execute button to begin the test. If the statement contains parameters, the Enter Parameter Value dialog appears so you can supply each parameter value to be used in the test.

When the statement completes, results are displayed in the SQL Result Set field, along with the Number of Rows Fetched from the host during the test.

If the host you are testing against uses collections and you are testing a SQL statement, such as INSERT, that changes host data, you can click the Commit button to preserve the changes, or you can click Cancel to roll back the changes. If the host you are testing against uses libraries instead of collections, all changes in host data made by the test run are committed automatically (the Commit button is inactive).


Obtaining Licensing Information

The license key for using StarQuest products is based on which product you are licensing, the number of connections you need, and the particular computer on which the license will be installed. The easiest method for obtaining a license key is to use the online licensing feature of the License Configuration utility. (For details about online licensing, start the License Configuration utility and click the Help button.)

If you prefer to obtain a license key from StarQuest via an email request, you need to provide a static IP address or the Host ID of the computer on which you will install the product. If the computer is in a network that uses the Dynamic Host Configuration Protocol (DHCP), provide the Host ID instead of an IP address to StarQuest when you request the license. IP addresses that are assigned by the DHCP service are dynamic and can invalidate the license key when the computer is assigned a different unique IP address.

Displaying the IP Address

Each node in an IP network must be assigned a unique address, such as 172.19.36.72. The IP address can be static (permanently assigned to the computer) or dynamic (assigned by the DHCP service). If the computer is assigned an IP address by the DHCP service, the IP address can change and you should provide the Host ID instead of the IP address when you request the license from StarQuest.

  1. To display the IP Address of a computer, enter the command ipconfig at a Command Prompt.

A display similar to the following shows the IP address that is currently assigned to the computer.

Connection-specific DNS Suffix: company.com
IP Address....................: 172.19.36.72
Subnet Mask...................: 255.255.255.0
Default Gateway...............: 172.19.24.1

Refer to the documentation for your version of the operating system for more information about displaying a command prompt or using the ipconfig command.

Displaying the Host ID

The Host ID, or Disk ID, of a Windows computer identifies the physical disk in a particular computer. You can display the Host ID from the License Configuration utility by clicking Add from the Licenses tab. Or you can display the Host ID by opening a command window and entering the command label at the command prompt.

The label command displays information similar to the following, from which you provide the Volume Serial Number to StarQuest when you request the license key.

Volume in drive C: has no label
Volume Serial Number is C854-CE05
Volume label <ENTER for none>?


Editing Object Properties

When you select an object and click the Properties toolbar button button on the toolbar or select Properties from the context menu or Edit menu, a dialog appears with the properties appropriate for the selected object. You can specify properties for the following types of objects:

  • Packages

  • Parameters

  • Statements